Bug 1308868 - NPE when importing image from glance
NPE when importing image from glance
Status: CLOSED CURRENTRELEASE
Product: ovirt-engine
Classification: oVirt
Component: BLL.Infra (Show other bugs)
3.6.3
Unspecified Unspecified
medium Severity low (vote)
: ovirt-3.6.5
: 3.6.5
Assigned To: Moti Asayag
Jiri Belka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-16 05:28 EST by Ondra Machacek
Modified: 2016-04-21 10:35 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-21 10:35:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oourfali: ovirt‑3.6.z?
rule-engine: ovirt‑4.0.0+
mgoldboi: planning_ack+
oourfali: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)
engine.log (22.79 KB, text/plain)
2016-02-16 05:28 EST, Ondra Machacek
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 53780 master MERGED engine: Fix NPE in async task manager 2016-02-22 04:51 EST
oVirt gerrit 53826 ovirt-engine-3.6 MERGED engine: Fix NPE in async task manager 2016-02-22 09:52 EST

  None (edit)
Description Ondra Machacek 2016-02-16 05:28:35 EST
Created attachment 1127555 [details]
engine.log

Description of problem:
There is NPE when importing image from glance in CoCoAsyncTaskHelper.java:259,
but it seems it doesn't have any implication on import task, so adding low prio.

Version-Release number of selected component (if applicable):
3.6.3

How reproducible:
always

Steps to Reproduce:
1. Attache glance with image to ovirt
2. import image from glance
3. check engine log

Actual results:
NPE

Expected results:
no NPE

Additional info:
Comment 1 Yaniv Kaul 2016-02-17 05:00:51 EST
Traceback within the bug allow searching for it later (for dups):
4963-8d50-cb39ceef2627'.
2016-02-16 12:19:42,125 INFO  [org.ovirt.engine.core.utils.transaction.TransactionSupport] (org.ovirt.thread.pool-6-thread-43) [] transaction rolled back
2016-02-16 12:19:42,125 ERROR [org.ovirt.engine.core.bll.tasks.AsyncTaskUtils] (org.ovirt.thread.pool-6-thread-43) [] Adding/Updating task '06eee652-95f1-45e5-9143-486c03207485' to DataBase threw an exception: null
2016-02-16 12:19:42,125 DEBUG [org.ovirt.engine.core.bll.tasks.AsyncTaskUtils] (org.ovirt.thread.pool-6-thread-43) [] Exception: java.lang.NullPointerException
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper$5.runInTransaction(CoCoAsyncTaskHelper.java:259) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper$5.runInTransaction(CoCoAsyncTaskHelper.java:255) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:151) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:118) [utils.jar:]
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper.addOrUpdateTaskInDB(CoCoAsyncTaskHelper.java:255) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorImpl.addOrUpdateTaskInDB(CommandCoordinatorImpl.java:316) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorUtil.addOrUpdateTaskInDB(CommandCoordinatorUtil.java:138) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.AsyncTaskUtils.addOrUpdateTaskInDB(AsyncTaskUtils.java:72) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.AsyncTaskUtils.access$000(AsyncTaskUtils.java:24) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.AsyncTaskUtils$1.runInTransaction(AsyncTaskUtils.java:40) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.AsyncTaskUtils$1.runInTransaction(AsyncTaskUtils.java:36) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInNewTransaction(TransactionSupport.java:210) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInRequired(TransactionSupport.java:149) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:118) [utils.jar:]
        at org.ovirt.engine.core.bll.tasks.AsyncTaskUtils.addOrUpdateTaskInDB(AsyncTaskUtils.java:36) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper.createTask(CoCoAsyncTaskHelper.java:81) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorImpl.createTask(CommandCoordinatorImpl.java:344) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorUtil.createTask(CommandCoordinatorUtil.java:67) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTaskImpl(CommandBase.java:1718) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1685) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1597) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.createTask(CommandBase.java:1646) [bll.jar:]
        at org.ovirt.engine.core.bll.ImportRepoImageCommand.createTask(ImportRepoImageCommand.java:78) [bll.jar:]
        at org.ovirt.engine.core.bll.AbstractSPMAsyncTaskHandler.addTask(AbstractSPMAsyncTaskHandler.java:64) [bll.jar:]
        at org.ovirt.engine.core.bll.AbstractSPMAsyncTaskHandler.execute(AbstractSPMAsyncTaskHandler.java:41) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeWithoutTransaction(CommandBase.java:1213) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.executeActionInTransactionScope(CommandBase.java:1359) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1982) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:174) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:116) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.execute(CommandBase.java:1396) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.internalEndSuccessfully(CommandBase.java:648) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.endActionInTransactionScope(CommandBase.java:595) [bll.jar:]
        at org.ovirt.engine.core.bll.CommandBase.runInTransaction(CommandBase.java:1984) [bll.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInSuppressed(TransactionSupport.java:174) [utils.jar:]
        at org.ovirt.engine.core.utils.transaction.TransactionSupport.executeInScope(TransactionSupport.java:116) [utils.jar:]
        at org.ovirt.engine.core.bll.CommandBase.endAction(CommandBase.java:524) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.DecoratedCommand.endAction(DecoratedCommand.java:17) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CoCoAsyncTaskHelper.endAction(CoCoAsyncTaskHelper.java:359) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandCoordinatorImpl.endAction(CommandCoordinatorImpl.java:415) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandAsyncTask.endCommandAction(CommandAsyncTask.java:168) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandAsyncTask.access$000(CommandAsyncTask.java:30) [bll.jar:]
        at org.ovirt.engine.core.bll.tasks.CommandAsyncTask$1.run(CommandAsyncTask.java:111) [bll.jar:]
        at org.ovirt.engine.core.utils.threadpool.ThreadPoolUtil$InternalWrapperRunnable.run(ThreadPoolUtil.java:92) [utils.jar:]
        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:471) [rt.jar:1.7.0_85]
        at java.util.concurrent.FutureTask.run(FutureTask.java:262) [rt.jar:1.7.0_85]
        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145) [rt.jar:1.7.0_85]
        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615) [rt.jar:1.7.0_85]
        at java.lang.Thread.run(Thread.java:745) [rt.jar:1.7.0_85]
Comment 2 Jiri Belka 2016-04-18 10:27:00 EDT
ok, rhevm-backend-3.6.5.3-0.1.el6.noarch

a successful glance image import did not trigger any side-effect NPE.

Note You need to log in before you can comment on or make changes to this bug.